package net.roseindia.synchronization;

public class ResourceUser implements Runnable {
	String message;
	Resource resource;
	Thread thread;

	public ResourceUser(Resource resource, String string) {
		this.resource = resource;
		this.message = string;
		thread = new Thread(this);
		thread.start();
	}

	public void run() {
		synchronized (resource) {
			resource.call(message);
		}
	}
}